"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const list_1 = require("./lib/cmds/list");
const get_1 = require("./lib/cmds/get");
const play_1 = require("./lib/cmds/play");
const shortcuts_1 = require("./lib/cmds/shortcuts");
exports.default = (commandTree) => __awaiter(void 0, void 0, void 0, function* () {
    return Promise.all([list_1.default(commandTree), get_1.default(commandTree), play_1.default(commandTree), shortcuts_1.default(commandTree)]);
});
//# sourceMappingURL=plugin.js.map